/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.layout.set.prototype.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Tamas Molnar
 */
@ExtendedObjectClassDefinition(
	category = "infrastructure",
	scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	description = "layout-set-prototype-configuration-description",
	id = "com.liferay.layout.set.prototype.configuration.LayoutSetPrototypeConfiguration",
	localization = "content/Language",
	name = "layout-set-prototype-configuration-name"
)
public interface LayoutSetPrototypeConfiguration {

	@Meta.AD(
		deflt = "false", description = "trigger-propagation-help",
		name = "trigger-propagation", required = false
	)
	public boolean triggerPropagation();

}